edu.whs.spin2018.baoapp.model.spiel

## Class Mulde

- java.lang.Object
- - edu.whs.spin2018.baoapp.model.spiel.Mulde

-     public class Mulde
      extends java.lang.Object

  Diese Klasse repräsentiert eine Mulde und erlaubt es Aktionen auf ihr auszuführen, wie z.B. Steine entfernen oder einen Stein zu setzen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mulde(Position position, int steine)` Erzeugt ein Objekt der Klasse Mulde mit einer Anzahl an Steinen und ihrer Position im Array.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneSteine()` Entfernt alle Steine aus der Mulde
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `fuegeSteinHinzu()` Setzt einen Stein in die Mulde
    `int` | `gibAnzahlSteine()` Gibt die Anzahl der Steine, die sich in der Mulde befinden
    `Position` | `gibPosition()` Liefert die Position der Mulde in dem Array, in dem die Mulden verwaltet werden.
    `java.lang.String` | `toString()` Gibt die Anzahl der Steine als String aus

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mulde

          public Mulde(Position position,
                       int steine)

      Erzeugt ein Objekt der Klasse Mulde mit einer Anzahl an Steinen und ihrer Position im Array.
      Parameters:
        `position` - - Position der Mulde in dem Array, in dem sie verwaltet wird
        `steine` - - Anzahl der Steine, die die Mulde beim erstellt werden haben soll

  - ### Method Detail

    - #### gibAnzahlSteine

          public int gibAnzahlSteine()

      Gibt die Anzahl der Steine, die sich in der Mulde befinden
      Returns:
        Anzahl der Steine

    - #### entferneSteine

          public void entferneSteine()

      Entfernt alle Steine aus der Mulde

    - #### fuegeSteinHinzu

          public void fuegeSteinHinzu()

      Setzt einen Stein in die Mulde

    - #### gibPosition

          public Position gibPosition()

      Liefert die Position der Mulde in dem Array, in dem die Mulden verwaltet werden.
      Returns:
        Position der Mulde im Array

    - #### toString

          public java.lang.String toString()

      Gibt die Anzahl der Steine als String aus
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        anzahl der Steine als String

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`